This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447164 - systemsettings crashes randomly
systemsettings crashes randomly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 08:50 EDT by Aioanei Rares
Modified: 2008-05-20 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 15:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (4.83 KB, application/octet-stream)
2008-05-18 08:50 EDT, Aioanei Rares
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 132254 None None None Never
KDE Software Compilation 132255 None None None Never

  None (edit)
Description Aioanei Rares 2008-05-18 08:50:51 EDT
Description of problem:

In KDE systemsettings, when double-clicking on a keyboard shortcut in order
to modify it, the program crashes.


Version-Release number of selected component (if applicable):
$systemsettings -v
Qt: 4.3.4
KDE: 4.0.3 (KDE 4.0.3)
System Settings: 4.0.3 (KDE 4.0.3)


How reproducible:
Random


Steps to Reproduce:

1.KDE Menu -> systemsettings
2.Keyboard and Mouse -> Keyboard shortcuts
3.Choose a shortcut and double click it
  
Actual results:

systemsettings crashes
Expected results:


Additional info:
Comment 1 Aioanei Rares 2008-05-18 08:50:52 EDT
Created attachment 305843 [details]
backtrace
Comment 2 Rex Dieter 2008-05-18 10:06:04 EDT
Could you try kde-4.0.4 (in updates-testing) to see if issue is still reproducible?

Comment 3 Aioanei Rares 2008-05-18 11:33:41 EDT
Doing the update right now...I'll keep you posted
Comment 4 Aioanei Rares 2008-05-18 12:16:07 EDT
Doing the update right now...I'll keep you posted
Comment 5 Aioanei Rares 2008-05-18 12:36:01 EDT
Exactly the same thing ... double clicking on shortcuts crashes
systemsettings...but now it does it silently; no backtrace printed everytime,
only once in a while.
If started from CLI, it shows KCrash: Application 'systemsettings' crashing...
sock_file=/home/arares/.kde/socket-localhost.localdomain/kdeinit4__0
when crashing. Hope it helps.
Comment 6 Rex Dieter 2008-05-18 14:32:02 EDT
Many thanks, next triaging step is to send this upstream to bugs.kde.org (and
checking to see it's been reported already, etc).  It's best if the reporter
does this (as you're the one to find/eperience the bug).
Comment 7 Rex Dieter 2008-05-20 15:50:42 EDT
we'll follow this upstream.

Note You need to log in before you can comment on or make changes to this bug.